<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::AssertionHandler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1AssertionHandler.html">AssertionHandler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1AssertionHandler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::AssertionHandler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Catch::AssertionHandler:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1AssertionHandler__coll__graph.png" border="0" usemap="#Catch_1_1AssertionHandler_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1AssertionHandler_coll__map" id="Catch_1_1AssertionHandler_coll__map">
<area shape="rect" title=" " alt="" coords="207,199,386,225"/>
<area shape="rect" href="structCatch_1_1AssertionReaction.html" title=" " alt="" coords="5,109,191,136"/>
<area shape="rect" href="structCatch_1_1IResultCapture.html" title=" " alt="" coords="215,109,378,136"/>
<area shape="rect" href="structCatch_1_1AssertionInfo.html" title=" " alt="" coords="403,109,556,136"/>
<area shape="rect" href="structCatch_1_1SourceLineInfo.html" title=" " alt="" coords="314,5,477,32"/>
<area shape="rect" href="classCatch_1_1StringRef.html" title=" " alt="" coords="501,5,628,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a32efbb1b56b71d758d4c2094bac1f1a9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a32efbb1b56b71d758d4c2094bac1f1a9">AssertionHandler</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;macroName, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;lineInfo, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> capturedExpression, <a class="el" href="structCatch_1_1ResultDisposition.html#a3396cad6e2259af326b3aae93e23e9d8">ResultDisposition::Flags</a> resultDisposition)</td></tr>
<tr class="separator:a32efbb1b56b71d758d4c2094bac1f1a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e839d810f6ac0fa6d127fe8350175ed"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a1e839d810f6ac0fa6d127fe8350175ed">~AssertionHandler</a> ()</td></tr>
<tr class="separator:a1e839d810f6ac0fa6d127fe8350175ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ef387e567bad90ec6e4b5bf5c367388"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a2ef387e567bad90ec6e4b5bf5c367388"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a2ef387e567bad90ec6e4b5bf5c367388">handleExpr</a> (<a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a>&lt; T &gt; const &amp;expr)</td></tr>
<tr class="separator:a2ef387e567bad90ec6e4b5bf5c367388"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe14d9cf1b1c7f70dae439fbdb51d0c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#afe14d9cf1b1c7f70dae439fbdb51d0c4">handleExpr</a> (<a class="el" href="structCatch_1_1ITransientExpression.html">ITransientExpression</a> const &amp;expr)</td></tr>
<tr class="separator:afe14d9cf1b1c7f70dae439fbdb51d0c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdb4c180ed83ec2858b2fb87712c516d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#abdb4c180ed83ec2858b2fb87712c516d">handleMessage</a> (<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a> resultType, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;message)</td></tr>
<tr class="separator:abdb4c180ed83ec2858b2fb87712c516d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6caf765764a4064e90fce829eec201d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#ab6caf765764a4064e90fce829eec201d">handleExceptionThrownAsExpected</a> ()</td></tr>
<tr class="separator:ab6caf765764a4064e90fce829eec201d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7764d0adb6ed5eeb10964f6abc02fab1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a7764d0adb6ed5eeb10964f6abc02fab1">handleUnexpectedExceptionNotThrown</a> ()</td></tr>
<tr class="separator:a7764d0adb6ed5eeb10964f6abc02fab1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51e4936e3af43b74690cedae6d2e297a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a51e4936e3af43b74690cedae6d2e297a">handleExceptionNotThrownAsExpected</a> ()</td></tr>
<tr class="separator:a51e4936e3af43b74690cedae6d2e297a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67a194d5518f307c4a16faa03a7f7442"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a67a194d5518f307c4a16faa03a7f7442">handleThrowingCallSkipped</a> ()</td></tr>
<tr class="separator:a67a194d5518f307c4a16faa03a7f7442"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2504dad6a91f3645e5f52c932c11270"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#aa2504dad6a91f3645e5f52c932c11270">handleUnexpectedInflightException</a> ()</td></tr>
<tr class="separator:aa2504dad6a91f3645e5f52c932c11270"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a878a9eb828d8a1863c8dcb6575f6f40e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a878a9eb828d8a1863c8dcb6575f6f40e">complete</a> ()</td></tr>
<tr class="separator:a878a9eb828d8a1863c8dcb6575f6f40e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6756bd5395c0ddd28764a9fb4612d5e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a6756bd5395c0ddd28764a9fb4612d5e4">setCompleted</a> ()</td></tr>
<tr class="separator:a6756bd5395c0ddd28764a9fb4612d5e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a193bb3999494c46457f3059184c6b251"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a193bb3999494c46457f3059184c6b251">allowThrows</a> () const -&gt; bool</td></tr>
<tr class="separator:a193bb3999494c46457f3059184c6b251"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32efbb1b56b71d758d4c2094bac1f1a9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a32efbb1b56b71d758d4c2094bac1f1a9">AssertionHandler</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;macroName, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;lineInfo, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> capturedExpression, <a class="el" href="structCatch_1_1ResultDisposition.html#a3396cad6e2259af326b3aae93e23e9d8">ResultDisposition::Flags</a> resultDisposition)</td></tr>
<tr class="separator:a32efbb1b56b71d758d4c2094bac1f1a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e839d810f6ac0fa6d127fe8350175ed"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a1e839d810f6ac0fa6d127fe8350175ed">~AssertionHandler</a> ()</td></tr>
<tr class="separator:a1e839d810f6ac0fa6d127fe8350175ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ef387e567bad90ec6e4b5bf5c367388"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a2ef387e567bad90ec6e4b5bf5c367388"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a2ef387e567bad90ec6e4b5bf5c367388">handleExpr</a> (<a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a>&lt; T &gt; const &amp;expr)</td></tr>
<tr class="separator:a2ef387e567bad90ec6e4b5bf5c367388"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe14d9cf1b1c7f70dae439fbdb51d0c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#afe14d9cf1b1c7f70dae439fbdb51d0c4">handleExpr</a> (<a class="el" href="structCatch_1_1ITransientExpression.html">ITransientExpression</a> const &amp;expr)</td></tr>
<tr class="separator:afe14d9cf1b1c7f70dae439fbdb51d0c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdb4c180ed83ec2858b2fb87712c516d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#abdb4c180ed83ec2858b2fb87712c516d">handleMessage</a> (<a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a> resultType, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;message)</td></tr>
<tr class="separator:abdb4c180ed83ec2858b2fb87712c516d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6caf765764a4064e90fce829eec201d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#ab6caf765764a4064e90fce829eec201d">handleExceptionThrownAsExpected</a> ()</td></tr>
<tr class="separator:ab6caf765764a4064e90fce829eec201d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7764d0adb6ed5eeb10964f6abc02fab1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a7764d0adb6ed5eeb10964f6abc02fab1">handleUnexpectedExceptionNotThrown</a> ()</td></tr>
<tr class="separator:a7764d0adb6ed5eeb10964f6abc02fab1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51e4936e3af43b74690cedae6d2e297a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a51e4936e3af43b74690cedae6d2e297a">handleExceptionNotThrownAsExpected</a> ()</td></tr>
<tr class="separator:a51e4936e3af43b74690cedae6d2e297a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67a194d5518f307c4a16faa03a7f7442"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a67a194d5518f307c4a16faa03a7f7442">handleThrowingCallSkipped</a> ()</td></tr>
<tr class="separator:a67a194d5518f307c4a16faa03a7f7442"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2504dad6a91f3645e5f52c932c11270"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#aa2504dad6a91f3645e5f52c932c11270">handleUnexpectedInflightException</a> ()</td></tr>
<tr class="separator:aa2504dad6a91f3645e5f52c932c11270"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a878a9eb828d8a1863c8dcb6575f6f40e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a878a9eb828d8a1863c8dcb6575f6f40e">complete</a> ()</td></tr>
<tr class="separator:a878a9eb828d8a1863c8dcb6575f6f40e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6756bd5395c0ddd28764a9fb4612d5e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a6756bd5395c0ddd28764a9fb4612d5e4">setCompleted</a> ()</td></tr>
<tr class="separator:a6756bd5395c0ddd28764a9fb4612d5e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a193bb3999494c46457f3059184c6b251"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a193bb3999494c46457f3059184c6b251">allowThrows</a> () const -&gt; bool</td></tr>
<tr class="separator:a193bb3999494c46457f3059184c6b251"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad171e8724bb771d97949b7270f400303"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#ad171e8724bb771d97949b7270f400303">m_assertionInfo</a></td></tr>
<tr class="separator:ad171e8724bb771d97949b7270f400303"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8203c08a43a3761b5f400ee6587fad55"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a8203c08a43a3761b5f400ee6587fad55">m_reaction</a></td></tr>
<tr class="separator:a8203c08a43a3761b5f400ee6587fad55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a756818dff781c155e8eb970d1d4c68"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#a5a756818dff781c155e8eb970d1d4c68">m_completed</a> = false</td></tr>
<tr class="separator:a5a756818dff781c155e8eb970d1d4c68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6a940d4ccfc2540511d6b261338862c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1AssertionHandler.html#ac6a940d4ccfc2540511d6b261338862c">m_resultCapture</a></td></tr>
<tr class="separator:ac6a940d4ccfc2540511d6b261338862c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a32efbb1b56b71d758d4c2094bac1f1a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32efbb1b56b71d758d4c2094bac1f1a9">&#9670;&nbsp;</a></span>AssertionHandler() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::AssertionHandler::AssertionHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>macroName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>lineInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>capturedExpression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultDisposition.html#a3396cad6e2259af326b3aae93e23e9d8">ResultDisposition::Flags</a>&#160;</td>
          <td class="paramname"><em>resultDisposition</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1e839d810f6ac0fa6d127fe8350175ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e839d810f6ac0fa6d127fe8350175ed">&#9670;&nbsp;</a></span>~AssertionHandler() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::AssertionHandler::~AssertionHandler </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a32efbb1b56b71d758d4c2094bac1f1a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32efbb1b56b71d758d4c2094bac1f1a9">&#9670;&nbsp;</a></span>AssertionHandler() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::AssertionHandler::AssertionHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>macroName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>lineInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>capturedExpression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultDisposition.html#a3396cad6e2259af326b3aae93e23e9d8">ResultDisposition::Flags</a>&#160;</td>
          <td class="paramname"><em>resultDisposition</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1e839d810f6ac0fa6d127fe8350175ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e839d810f6ac0fa6d127fe8350175ed">&#9670;&nbsp;</a></span>~AssertionHandler() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::AssertionHandler::~AssertionHandler </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a193bb3999494c46457f3059184c6b251"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a193bb3999494c46457f3059184c6b251">&#9670;&nbsp;</a></span>allowThrows() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::AssertionHandler::allowThrows </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  bool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a193bb3999494c46457f3059184c6b251"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a193bb3999494c46457f3059184c6b251">&#9670;&nbsp;</a></span>allowThrows() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::AssertionHandler::allowThrows </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  bool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a878a9eb828d8a1863c8dcb6575f6f40e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a878a9eb828d8a1863c8dcb6575f6f40e">&#9670;&nbsp;</a></span>complete() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::complete </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a878a9eb828d8a1863c8dcb6575f6f40e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a878a9eb828d8a1863c8dcb6575f6f40e">&#9670;&nbsp;</a></span>complete() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::complete </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a51e4936e3af43b74690cedae6d2e297a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51e4936e3af43b74690cedae6d2e297a">&#9670;&nbsp;</a></span>handleExceptionNotThrownAsExpected() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleExceptionNotThrownAsExpected </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a51e4936e3af43b74690cedae6d2e297a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51e4936e3af43b74690cedae6d2e297a">&#9670;&nbsp;</a></span>handleExceptionNotThrownAsExpected() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleExceptionNotThrownAsExpected </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab6caf765764a4064e90fce829eec201d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6caf765764a4064e90fce829eec201d">&#9670;&nbsp;</a></span>handleExceptionThrownAsExpected() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleExceptionThrownAsExpected </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab6caf765764a4064e90fce829eec201d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6caf765764a4064e90fce829eec201d">&#9670;&nbsp;</a></span>handleExceptionThrownAsExpected() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleExceptionThrownAsExpected </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2ef387e567bad90ec6e4b5bf5c367388"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ef387e567bad90ec6e4b5bf5c367388">&#9670;&nbsp;</a></span>handleExpr() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleExpr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a>&lt; T &gt; const &amp;&#160;</td>
          <td class="paramname"><em>expr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2ef387e567bad90ec6e4b5bf5c367388"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ef387e567bad90ec6e4b5bf5c367388">&#9670;&nbsp;</a></span>handleExpr() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleExpr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a>&lt; T &gt; const &amp;&#160;</td>
          <td class="paramname"><em>expr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afe14d9cf1b1c7f70dae439fbdb51d0c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe14d9cf1b1c7f70dae439fbdb51d0c4">&#9670;&nbsp;</a></span>handleExpr() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleExpr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ITransientExpression.html">ITransientExpression</a> const &amp;&#160;</td>
          <td class="paramname"><em>expr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afe14d9cf1b1c7f70dae439fbdb51d0c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe14d9cf1b1c7f70dae439fbdb51d0c4">&#9670;&nbsp;</a></span>handleExpr() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleExpr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ITransientExpression.html">ITransientExpression</a> const &amp;&#160;</td>
          <td class="paramname"><em>expr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abdb4c180ed83ec2858b2fb87712c516d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdb4c180ed83ec2858b2fb87712c516d">&#9670;&nbsp;</a></span>handleMessage() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a>&#160;</td>
          <td class="paramname"><em>resultType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abdb4c180ed83ec2858b2fb87712c516d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdb4c180ed83ec2858b2fb87712c516d">&#9670;&nbsp;</a></span>handleMessage() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a>&#160;</td>
          <td class="paramname"><em>resultType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a67a194d5518f307c4a16faa03a7f7442"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67a194d5518f307c4a16faa03a7f7442">&#9670;&nbsp;</a></span>handleThrowingCallSkipped() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleThrowingCallSkipped </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a67a194d5518f307c4a16faa03a7f7442"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67a194d5518f307c4a16faa03a7f7442">&#9670;&nbsp;</a></span>handleThrowingCallSkipped() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleThrowingCallSkipped </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7764d0adb6ed5eeb10964f6abc02fab1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7764d0adb6ed5eeb10964f6abc02fab1">&#9670;&nbsp;</a></span>handleUnexpectedExceptionNotThrown() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleUnexpectedExceptionNotThrown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7764d0adb6ed5eeb10964f6abc02fab1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7764d0adb6ed5eeb10964f6abc02fab1">&#9670;&nbsp;</a></span>handleUnexpectedExceptionNotThrown() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleUnexpectedExceptionNotThrown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa2504dad6a91f3645e5f52c932c11270"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2504dad6a91f3645e5f52c932c11270">&#9670;&nbsp;</a></span>handleUnexpectedInflightException() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleUnexpectedInflightException </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa2504dad6a91f3645e5f52c932c11270"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2504dad6a91f3645e5f52c932c11270">&#9670;&nbsp;</a></span>handleUnexpectedInflightException() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::handleUnexpectedInflightException </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6756bd5395c0ddd28764a9fb4612d5e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6756bd5395c0ddd28764a9fb4612d5e4">&#9670;&nbsp;</a></span>setCompleted() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::setCompleted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6756bd5395c0ddd28764a9fb4612d5e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6756bd5395c0ddd28764a9fb4612d5e4">&#9670;&nbsp;</a></span>setCompleted() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::AssertionHandler::setCompleted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ad171e8724bb771d97949b7270f400303"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad171e8724bb771d97949b7270f400303">&#9670;&nbsp;</a></span>m_assertionInfo</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> Catch::AssertionHandler::m_assertionInfo</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5a756818dff781c155e8eb970d1d4c68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a756818dff781c155e8eb970d1d4c68">&#9670;&nbsp;</a></span>m_completed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::AssertionHandler::m_completed = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8203c08a43a3761b5f400ee6587fad55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8203c08a43a3761b5f400ee6587fad55">&#9670;&nbsp;</a></span>m_reaction</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> Catch::AssertionHandler::m_reaction</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac6a940d4ccfc2540511d6b261338862c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6a940d4ccfc2540511d6b261338862c">&#9670;&nbsp;</a></span>m_resultCapture</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a> &amp; Catch::AssertionHandler::m_resultCapture</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
